package org.springblade.estate.feign;

import org.springblade.estate.entity.NoticePushRecord;
import org.springblade.estate.vo.NoticePushRecordVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class NoticePushRecordClientFallback implements INoticePushRecordClient {
            /**
         * 详情
         */
        @Override
        public NoticePushRecordVO detail(NoticePushRecord noticePushRecord) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<NoticePushRecordVO> list(NoticePushRecord noticePushRecord) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( NoticePushRecord noticePushRecord) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( NoticePushRecord noticePushRecord) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( NoticePushRecord noticePushRecord) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
